org.apache.fop.fo.extensions.xmp

## Class RDFElement

- java.lang.Object
- - org.apache.fop.fo.FONode
  - - org.apache.fop.fo.extensions.xmp.AbstractMetadataElement
    - - org.apache.fop.fo.extensions.xmp.RDFElement

All Implemented Interfaces:
  Cloneable, EventListener, ContentHandlerFactory.ObjectBuiltListener

    public class RDFElement
    extends AbstractMetadataElement

Represents the top-level "RDF" element used by XMP metadata.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.fo.FONode

`FONode.FONodeIterator, FONode.GatherContextInfoFunction`

### Field Summary

### Fields inherited from class org.apache.fop.fo.FONode

`FO_URI, FOX_URI, locator, log, nodeChangeBarList, parent, siblings, startOfNodeChangeBarList`

### Constructor Summary

Constructors
Constructor and Description
`RDFElement(FONode parent)` Main constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLocalName()` Returns the local name (i.e.
`String` `getNamespaceURI()` Returns the namespace URI for this node
`String` `getNormalNamespacePrefix()` Returns the normally used namespace prefix for this node

### Methods inherited from class org.apache.fop.fo.extensions.xmp.AbstractMetadataElement

`getContentHandlerFactory, getExtensionAttachment, notifyObjectBuilt`

### Methods inherited from class org.apache.fop.fo.FONode

`addCharacters, addChildNode, attachSiblings, bind, canHaveMarkers, characters, charIterator, clone, clone, collectDelimitedTextRanges, collectDelimitedTextRanges, createPropertyList, decorateWithContextInfo, endOfNode, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChangeBarList, getChildNodes, getChildNodes, getContextInfo, getContextInfoAlt, getFOEventHandler, getFOValidationEventProducer, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodePrefix, getNodeString, getParent, getRoot, getStructureTreeElement, getUserAgent, inMarker, invalidChildError, invalidChildError, invalidPropertyValueError, isBidiRangeBlockItem, isChangeBarElement, isDelimitedTextRangeBoundary, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, notSupportedChildError, processNode, removeChild, setLocator, setStructureTreeElement, startOfNode, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, validateChildNode, warningText`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RDFElement

    public RDFElement(FONode parent)

Main constructor.

Parameters:
  `parent` - the parent formatting object

### Method Detail

#### getLocalName

    public String getLocalName()

Returns the local name (i.e. without namespace prefix) of the node

Specified by:
  `getLocalName` in class `FONode`
Returns:
  the local name of this node

#### getNormalNamespacePrefix

    public String getNormalNamespacePrefix()

Returns the normally used namespace prefix for this node

Specified by:
  `getNormalNamespacePrefix` in class `FONode`
Returns:
  the normally used namespace prefix for this kind of node (ex. "fo" for XSL-FO)

#### getNamespaceURI

    public String getNamespaceURI()

Returns the namespace URI for this node

Overrides:
  `getNamespaceURI` in class `FONode`
Returns:
  the namespace URI for this node